// Thomas Braunl, UWA 2017
// Radio station demo

#include <stdio.h>
#include "radio.h"

int main ()
{ int l, i;
  int id[256];
  int myid;

  printf("Radio init\n");
  RADIOInit();

  myid = RADIOGetID();
  printf("my id %d\n", myid);

  printf("scanning\n");
  l = RADIOStatus(id); 

  printf("Other robots: %d\n", l);
  for (i=0; i<l; i++)
    printf("%d  ", id[i]);
  printf("\n");
}

